# Module `aioimmich.tags.models`

aioimmich tags models.

## Classes

`class ImmichTag (created_at: datetime,
name: str,
tag_id: str,
updated_at: datetime,
value: str,
color: str | None = None,
parent_id: str | None = None)`
  Expand source code

      @dataclass
      class ImmichTag(DataClassJSONMixin):
          """Representation of an immich tag."""

          # non-default parameters
          created_at: datetime = field(metadata=field_options(alias="createdAt"))
          name: str
          tag_id: str = field(metadata=field_options(alias="id"))
          updated_at: datetime = field(metadata=field_options(alias="updatedAt"))
          value: str

          # default parameters
          color: str | None = field(metadata=field_options(alias="avatarColor"), default=None)
          parent_id: str | None = field(
              metadata=field_options(alias="parentId"), default=None
          )

  Representation of an immich tag.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var color : str | None`
  `var created_at : datetime.datetime`
  `var name : str`
  `var parent_id : str | None`
  `var tag_id : str`
  `var updated_at : datetime.datetime`
  `var value : str`

  ### Methods

  `def to_dict(self)`